%define upstream_name    Object-Pluggable
%define upstream_version 1.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Importable constants for Object::Pluggable
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildArch: noarch


%description
Object::Pluggable is a base class for creating plugin enabled objects. It
is a generic port of POE::Component::IRC's plugin system.

If your object dispatches events to listeners, then Object::Pluggable may
be a good fit for you.

Basic use would involve subclassing Object::Pluggable, then overriding
'_pluggable_event()' and inserting '_pluggable_process()' wherever you
dispatch events from.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.290.0-8.mga6
+ Revision: 1031473
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.290.0-7.mga6
+ Revision: 946072
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.290.0-6.mga5
+ Revision: 748513
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.290.0-5.mga5
+ Revision: 685786
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.290.0-4.mga4
+ Revision: 525842
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 jquelin <jquelin> 1.290.0-3.mga4
+ Revision: 434663
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.290.0-2.mga3
+ Revision: 371100
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.290.0-1.mga1
+ Revision: 23358
- cleaning spec file
- imported package perl-Object-Pluggable

